Upload a hosted payment page image
PUT
Uploads the logo or background image of the hosted payment page. Send the image as the body, with the
Content-Type of the image. The URL of the image is stored in logo_image_url or background_image_url of
the style set.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an admin API key as the username and an empty password.
merchant_id*stringThe ID of the merchant.
Format
uuidproject_id*stringThe ID of the project.
Format
uuidimage*stringWhich image.
Value in
"logo""background"preview_or_default*stringThe style set, preview for the preview page or default for the live page.
Value in
"preview""default"body*fileFormat
binaryThe image is stored.
curl -X PUT 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/hpp-uploads/logo/preview/' \ --user "$API_KEY:"Empty